Skip to main content
PATCH
/
api
/
2.0
/
bills
/
{id}
Partially Update Bill
curl --request PATCH \
  --url https://sandbox.elationemr.com/api/2.0/bills/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "billing_date": "2023-11-07T05:31:56Z",
  "billing_error": "<string>",
  "billing_provider": 123,
  "billing_raw_error": "<string>",
  "cpts": [
    {
      "cpt": "<string>",
      "dxs": [
        {
          "icd10_code": "<string>",
          "icd9_codes": [
            "<string>"
          ]
        }
      ],
      "unit_charge": "<string>",
      "units": "<string>",
      "modifier_1": "<string>",
      "modifier_2": "<string>",
      "modifier_3": "<string>",
      "modifier_4": "<string>",
      "ndc": "<string>",
      "ndc_dose": "<string>"
    }
  ],
  "metadata": {},
  "notes": "<string>",
  "ordering_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "payment_amount": "<string>",
  "practice": 123,
  "prior_authorization": "<string>",
  "ref_number": "<string>",
  "referring_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "rendering_provider": 123,
  "service_location": 123,
  "supervising_provider": 123,
  "visit_note": 123
}
'
{
  "billing_date": "2023-11-07T05:31:56Z",
  "billing_error": "<string>",
  "billing_provider": 123,
  "billing_raw_error": "<string>",
  "cpts": [
    {
      "cpt": "<string>",
      "dxs": [
        {
          "icd10_code": "<string>",
          "icd9_codes": [
            "<string>"
          ]
        }
      ],
      "unit_charge": "<string>",
      "units": "<string>",
      "modifier_1": "<string>",
      "modifier_2": "<string>",
      "modifier_3": "<string>",
      "modifier_4": "<string>",
      "ndc": "<string>",
      "ndc_dose": "<string>"
    }
  ],
  "metadata": {},
  "notes": "<string>",
  "ordering_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "payment_amount": "<string>",
  "practice": 123,
  "prior_authorization": "<string>",
  "ref_number": "<string>",
  "referring_provider": {
    "name": "<string>",
    "state": "<string>",
    "npi": "<string>"
  },
  "rendering_provider": 123,
  "service_location": 123,
  "supervising_provider": 123,
  "visit_note": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Body

application/json
billing_date
string<date-time> | null

The date the bill was billed. Required if marking a bill as processed.

billing_error
string | null

The error message for the bill. Required if marking a bill as failed. This is the human readable error that users will see.

Maximum string length: 200
billing_provider
integer<int64> | null
billing_raw_error
string | null

Further details on the billing error. Optional when marking a bill as failed. Useful when debugging why a bill failed to process.

cpts
object[]

CPT objects for the bill.

metadata
object
notes
string | null

Additional billing notes.

Maximum string length: 1000
ordering_provider
object

The id of the provider who orders non-physician services for the patient.

payment_amount
string<decimal> | null

Dollar amount of the patient payment.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
place_of_service
enum<string> | null
Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
31,
32,
33,
34,
41,
42,
49,
50,
51,
52,
53,
54,
55,
56,
57,
60,
61,
62,
65,
66,
71,
72,
81,
99
practice
integer<int64>
prior_authorization
string | null
Maximum string length: 50
ref_number
string

The reference number of the bill. Required if marking a bill as processed.

referring_provider
object
rendering_provider
integer<int64> | null
service_location
integer<int64>

The id of the service location the bill is associated with.

supervising_provider
integer<int64> | null

The id of the provider who has undertaken primary responsibility for the patient's health.

visit_note
integer<int64>

Response

200 - application/json
billing_date
string<date-time> | null

The date the bill was billed. Required if marking a bill as processed.

billing_error
string | null

The error message for the bill. Required if marking a bill as failed. This is the human readable error that users will see.

Maximum string length: 200
billing_provider
integer<int64> | null
billing_raw_error
string | null

Further details on the billing error. Optional when marking a bill as failed. Useful when debugging why a bill failed to process.

cpts
object[]

CPT objects for the bill.

metadata
object
notes
string | null

Additional billing notes.

Maximum string length: 1000
ordering_provider
object

The id of the provider who orders non-physician services for the patient.

payment_amount
string<decimal> | null

Dollar amount of the patient payment.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
place_of_service
enum<string> | null
Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21,
22,
23,
24,
25,
26,
27,
31,
32,
33,
34,
41,
42,
49,
50,
51,
52,
53,
54,
55,
56,
57,
60,
61,
62,
65,
66,
71,
72,
81,
99
practice
integer<int64>
prior_authorization
string | null
Maximum string length: 50
ref_number
string

The reference number of the bill. Required if marking a bill as processed.

referring_provider
object
rendering_provider
integer<int64> | null
service_location
integer<int64>

The id of the service location the bill is associated with.

supervising_provider
integer<int64> | null

The id of the provider who has undertaken primary responsibility for the patient's health.

visit_note
integer<int64>